import React from 'react'
import { injectGlobal } from 'styled-components'
import theme from './theme'

let isGlobalStylesLoaded = false

const GlobalStyles = () => {
  if (isGlobalStylesLoaded) return null

  injectGlobal`
    html {
      height: 100%;
      min-width: auto;
      margin: 0;
      color: ${theme.colors.dark[0]};
      background: ${theme.colors.tint[0]};
    }

    body {
      margin: 0;
    }
  `

  isGlobalStylesLoaded = true

  return null
}

export default GlobalStyles
