import React, { PropTypes } from 'react'
import styled, { ThemeProvider, injectGlobal } from 'styled-components';
import Fonts from './Fonts'
import Reset from './Reset'
import GlobalStyles from './GlobalStyles'
import theme from './theme'
import Pane from './Pane'

const UIProvider = (props) => {
  return (
    <ThemeProvider theme={theme}>
      <Pane className='UIProvider' {...props} />
    </ThemeProvider>
  )
}

UIProvider.propTypes = {
  ...Pane.propTypes
}

export default UIProvider
