import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  Input,
  Pane,
  CodeBlock,
  Content
} from '../components'

export default function codeBlockStory (module) {
  storiesOf('Code Block', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# Code Block

The CodeBlock component is a syntax highlighted block wrapped in a configured Pane.
\`props\` apply to Pane except for \`language\` and \`codeStyle\`.

* Uses [react-syntax-highlighter](https://github.com/conorhastings/react-syntax-highlighter)
* Always wrap code in a string literal for safety
* Always escape the content
* TODO: Styling might still need some work

\`\`\`
<CodeBlock language='html'>
  {\`<script type=\"text\/javascript\">\r\n  !function(){var analytics=window.analytics=window.analytics||[];if(!analytics.initialize)if(analytics.invoked)window.console&&console.error&&console.error(\"Segment snippet included twice.\");else{analytics.invoked=!0;analytics.methods=[\"trackSubmit\",\"trackClick\",\"trackLink\",\"trackForm\",\"pageview\",\"identify\",\"reset\",\"group\",\"track\",\"ready\",\"alias\",\"debug\",\"page\",\"once\",\"off\",\"on\"];analytics.factory=function(t){return function(){var e=Array.prototype.slice.call(arguments);e.unshift(t);analytics.push(e);return analytics}};for(var t=0;t<analytics.methods.length;t++){var e=analytics.methods[t];analytics[e]=analytics.factory(e)}analytics.load=function(t){var e=document.createElement(\"script\");e.type=\"text\/javascript\";e.async=!0;e.src=(\"https:\"===document.location.protocol?\"https:\/\/\":\"http:\/\/\")+\"cdn.segment.com\/analytics.js\/v1\/\"+t+\"\/analytics.min.js\";var n=document.getElementsByTagName(\"script\")[0];n.parentNode.insertBefore(e,n)};analytics.SNIPPET_VERSION=\"4.0.0\";\r\n  analytics.load(\"YOUR_WRITE_KEY\");\r\n  analytics.page();\r\n  }}();\r\n<\/script>\`}
</CodeBlock>
\`\`\`

`}
          </Content>
          <CodeBlock language='html'>
            {`<script type=\"text\/javascript\">\r\n  !function(){var analytics=window.analytics=window.analytics||[];if(!analytics.initialize)if(analytics.invoked)window.console&&console.error&&console.error(\"Segment snippet included twice.\");else{analytics.invoked=!0;analytics.methods=[\"trackSubmit\",\"trackClick\",\"trackLink\",\"trackForm\",\"pageview\",\"identify\",\"reset\",\"group\",\"track\",\"ready\",\"alias\",\"debug\",\"page\",\"once\",\"off\",\"on\"];analytics.factory=function(t){return function(){var e=Array.prototype.slice.call(arguments);e.unshift(t);analytics.push(e);return analytics}};for(var t=0;t<analytics.methods.length;t++){var e=analytics.methods[t];analytics[e]=analytics.factory(e)}analytics.load=function(t){var e=document.createElement(\"script\");e.type=\"text\/javascript\";e.async=!0;e.src=(\"https:\"===document.location.protocol?\"https:\/\/\":\"http:\/\/\")+\"cdn.segment.com\/analytics.js\/v1\/\"+t+\"\/analytics.min.js\";var n=document.getElementsByTagName(\"script\")[0];n.parentNode.insertBefore(e,n)};analytics.SNIPPET_VERSION=\"4.0.0\";\r\n  analytics.load(\"YOUR_WRITE_KEY\");\r\n  analytics.page();\r\n  }}();\r\n<\/script>`}
          </CodeBlock>
          <Content markdown>
{`
prop | type | default | description
-----|------| --------|-------------
\`language\` | string | javascript | syntax highlighting
\`codeStyle\` | object | \`segmentStyle\` | the styles used for highlighting
`}
          </Content>
        </Pane>
      </App>
    ))
}
