import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Pane,
  Content
} from '../components'

export default function UIProviderStory (module) {
  storiesOf('UI Provider', module)
    .add('usage', () => (
      <App flex>
        <Pane flexAuto white padding={10} clearfix>
          <Content markdown>
{`
# UI Provider

The UIProvider component enables you to use the react-ui-library. Implements \`<Pane />\`.

* Useful when including the react-ui-library in the current Segment environment
* Sets up ThemeProvider
* It does not require to be the root of the app
* It is just a div

\`\`\`
<UIProvider>
  ... use components from the react-ui-library
</UIProider>
\`\`\`

prop | type | default | descriptiopn
-----|------|---------|-------
\`is\` | string/element | div  | what element to use

## How is this different from the App component?

The App component is meant to be the root of a page.
The App root is a Pane with some flex attributes.
The App component doesn't assume any global styles and includes \`<Fonts />\` and \`<GlobalStyles />\`

**To mimic the App, you should import \`<Fonts />\` and \`<GlobalStyles />\` seperately.**

`}
          </Content>
        </Pane>
      </App>
    ))
}
